## com.google.gwt.core.ext.typeinfo
Class JType

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JType

Direct Known Subclasses:
  JArrayType, JClassType, JParameterizedType, JPrimitiveType

    public abstract class JType

extends java.lang.Object

Abstract superclass for types.

Constructor Summary
`JType()`

Method Summary
`abstract java.lang.String` `getJNISignature()`
`JType` `getLeafType()`
`java.lang.String` `getParameterizedQualifiedSourceName()`
`abstract java.lang.String` `getQualifiedSourceName()`
`abstract java.lang.String` `getSimpleSourceName()`
`abstract JArrayType` `isArray()`
`abstract JClassType` `isClass()`
`JClassType` `isClassOrInterface()`
`abstract JClassType` `isInterface()`
`abstract JParameterizedType` `isParameterized()`
`abstract JPrimitiveType` `isPrimitive()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JType

    public JType()

Method Detail

### getJNISignature

    public abstract java.lang.String getJNISignature()

### getLeafType

    public JType getLeafType()

### getParameterizedQualifiedSourceName

    public java.lang.String getParameterizedQualifiedSourceName()

### getQualifiedSourceName

    public abstract java.lang.String getQualifiedSourceName()

### getSimpleSourceName

    public abstract java.lang.String getSimpleSourceName()

### isArray

    public abstract JArrayType isArray()

### isClass

    public abstract JClassType isClass()

### isClassOrInterface

    public JClassType isClassOrInterface()

### isInterface

    public abstract JClassType isInterface()

### isParameterized

    public abstract JParameterizedType isParameterized()

### isPrimitive

    public abstract JPrimitiveType isPrimitive()